com.google.gwt.user.client.ui

## Interface HasTreeItems

All Known Subinterfaces:
  HasTreeItems.ForIsWidget

All Known Implementing Classes:
  Tree, TreeItem

    public interface HasTreeItems

A widget that implements this interface contains `items` and can operate them.

### Nested Class Summary

Nested Classes
`static interface` `HasTreeItems.ForIsWidget` Extends this interface with convenience methods to handle `IsWidget`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addItem(IsTreeItem isItem)` Adds an item wrapped by specified `IsTreeItem`.
`TreeItem` `addItem(SafeHtml itemHtml)` Adds a simple tree item containing the specified html.
`void` `addItem(TreeItem item)` Adds an tree item.
`TreeItem` `addItem(Widget widget)` Adds a new tree item containing the specified widget.
`TreeItem` `addTextItem(java.lang.String itemText)` Adds a simple tree item containing the specified text.
`void` `removeItem(IsTreeItem isItem)` Removes an item.
`void` `removeItem(TreeItem item)` Removes an item.
`void` `removeItems()` Removes all items.

### Method Detail

#### addItem

    TreeItem addItem(SafeHtml itemHtml)

Adds a simple tree item containing the specified html.

Parameters:
  `itemHtml` - the html of the item to be added
Returns:
  the item that was added

#### addItem

    void addItem(TreeItem item)

Adds an tree item.

Parameters:
  `item` - the item to be added

#### addItem

    void addItem(IsTreeItem isItem)

Adds an item wrapped by specified `IsTreeItem`.

Parameters:
  `isItem` - the wrapper of item to be added

#### addItem

    TreeItem addItem(Widget widget)

Adds a new tree item containing the specified widget.

Parameters:
  `widget` - the widget to be added
Returns:
  the new item

#### addTextItem

    TreeItem addTextItem(java.lang.String itemText)

Adds a simple tree item containing the specified text.

Parameters:
  `itemText` - the text of the item to be added
Returns:
  the item that was added

#### removeItem

    void removeItem(TreeItem item)

Removes an item.

Parameters:
  `item` - the item to be removed

#### removeItem

    void removeItem(IsTreeItem isItem)

Removes an item.

Parameters:
  `isItem` - the wrapper of item to be removed

#### removeItems

    void removeItems()

Removes all items.